## kwalletmanager 4.13.3

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kwallet)

## kwalletmanager 4.13.0

=== debian/changelog ===
kwalletmanager (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:19:37 +0100

kwalletmanager (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:46:50 +0200

kwalletmanager (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:46:32 +0100

kwalletmanager (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:33:17 +0000

kwalletmanager (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:07:36 +0100

kwalletmanager (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:18:45 +0000

kwalletmanager (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:33:08 +0000

kwalletmanager (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:32:01 +0000

kwalletmanager (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:30:48 +0000

kwalletmanager (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:27:54 +0100

kwalletmanager (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:52:44 +0100

kwalletmanager (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:45:01 +0100

kwalletmanager (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:34:22 +0100

kwalletmanager (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:32:22 +0100

kwalletmanager (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:55:17 +0100

kwalletmanager (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Refresh documentation files in kwalletmanager.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:15 +0000

kwalletmanager (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:25:42 +0100

kwalletmanager (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Fixed the install files. 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:40:22 +0100

kwalletmanager (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:44:52 +0100

kwalletmanager (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:13 +0000

kwalletmanager (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.
  * Bump kde-sc-dev-latest to 4:4.10.2.
  * Bump libkde5-dev to 4:4.10.

  [ Sune Vuorela ]
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:33:54 +0000

kwalletmanager (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:58:55 +0200

kwalletmanager (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:41:26 +0000

kwalletmanager (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:06:06 +0000

kwalletmanager (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:57:14 +0000

kwalletmanager (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:44:45 +0100

kwalletmanager (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:42:14 +0000

kwalletmanager (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:10:22 +0000

kwalletmanager (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:08:57 +0000

kwalletmanager (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:42:26 +0100

kwalletmanager (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:33:42 +0100

kwalletmanager (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:38:40 +0530

kwalletmanager (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:41:55 +0100

kwalletmanager (4:4.8.90-0ubuntu1) quantal; urgency=low



=== debian/control ===
Source: kwalletmanager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0)
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kwallet.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kwallet.git

Package: kwalletmanager
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

Package: kwalletmanager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kwalletmanager (= ${binary:Version}), ${misc:Depends}
Breaks: kdeutils-dbg (<< 4:4.8)
Replaces: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kwalletmanager
 This package contains the debugging symbols for kwalletmanager. It is to be
 used in order to be able provide proper back traces for possible crashes or
 for running kwalletmanager in gdb or valgrind for meaningful output.
 .
 This package is part of the KDE SC utilities module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kwallet-([\d\.]*).tar.xz

## kwalletmanager 4.13.3

=== debian/changelog ===
kwalletmanager (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:35:18 +0200

kwalletmanager (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
+ kdelibs5-dev (>= 4:4.13.3)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager

## kwalletmanager 4.14.1

=== debian/changelog ===
kwalletmanager (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:42:44 +0200

kwalletmanager (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:29:14 +0200

kwalletmanager (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:18:00 +0200

kwalletmanager (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:42:13 +0200

kwalletmanager (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:33:32 +0200

kwalletmanager (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, remaining changes:
    - Keep depending on kdelibs >= 4.13

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:05:13 +0100

kwallet (4:4.12.4-1) unstable; urgency=medium

  * Update copyright Upstream-Name.
  * New upstream release.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:24 +0200

kwallet (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:41 +0100

kwallet (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:35 +0100

kwallet (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:45 +0100

kwallet (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:34 +0200

kwallet (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:25:34 +0200

kwallet (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:49 +0200

kwallet (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.
  * Bump kde-sc-dev-latest to 4:4.10.2.
  * Bump libkde5-dev to 4:4.10.

  [ Sune Vuorela ]
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:33:54 +0000

kwallet (4:4.8.4-3) unstable; urgency=low

  * Team upload.
  * Backport upstream commit e893896200ad352be8d4110f780333f888b0fb94 to fix
    amazingly slow kwalletmanager startup; patch
    upstream_Fix-amazingly-slow-kwalletmanager-startup.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Nov 2012 22:48:24 +0100

kwallet (4:4.8.4-2) unstable; urgency=low

  * The "I forgot the epoch" release.
  * Update debian/copyright:
    - Correct doc license to GFDL-NIV-1.2+.
    - Add a comment to the doc license to explain why some keywords appear and
      how they are expanded later

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 21 Jun 2012 14:01:20 -0300

kwallet (4.8.4-1) unstable; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Add a watch file.
  * Add myself to Uploaders.
  * Create a -dbg package:
    - Breaks+Replaces kdeutils-dbg << 4:4.8.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jun 2012 17:36:48 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3)
+Uploaders: Fathi Boudra <fabo@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Eshat Cakar <info@eshat.de>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager
@@ -21,7 +25,7 @@
 Package: kwalletmanager
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: secure password wallet manager
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet

## kwalletmanager 4.14.2

=== CMakeLists.txt ===
project(kwallet)

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    find_package(KDE4)
    include( KDE4Defaults )
    include_directories(${KDE4_INCLUDES})

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

    # If definitions like -D_GNU_SOURCE are needed for these checks they
    # should be added to _KDE4_PLATFORM_DEFINITIONS when it is originally
    # defined outside this file.  Here we include these definitions in
    # CMAKE_REQUIRED_DEFINITIONS so they will be included in the build of
    # checks below.
    set( CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} )
endif()

add_subdirectory( doc )
add_subdirectory( icons ) 
add_subdirectory( src ) 


########### install files ###############

install( PROGRAMS kwalletmanager.desktop kwalletmanager-kwalletd.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
kwalletmanager (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:02:38 +0200

kwalletmanager (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:19:10 -0700

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kwalletmanager-dbg

## kwalletmanager 14.12.3

=== debian/changelog ===
kwalletmanager (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:23:33 -0700

kwalletmanager (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:38:42 -0800

kwalletmanager (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:47:17 +0100

kwalletmanager (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining change:
   - rename source to kwalletmanager to match upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:48 +0100

kwallet (4:4.14.2-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:05 +0200

kwallet (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:28 +0200

kwallet (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 05:31:59 +0200

kwallet (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 10:29:08 +0200

kwallet (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 17:30:52 +0200

kwalletmanager (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:19:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,22 @@
 Source: kwalletmanager
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kwalletmanager
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kwallet.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kwallet.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kwalletmanager.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kwalletmanager.git
 
 Package: kwalletmanager
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kwalletmanager-([\d.]+).tar.xz

## kwalletmanager 15.08.2

=== CMakeLists.txt ===
project(kwalletmanager5)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "2")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.2.0 CONFIG REQUIRED Core Gui Widgets DBus)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)

## Generate header with version number
ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWALLETMANAGER
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kwalletmanager_version.h"
)

find_package(KF5 5.2.0 REQUIRED
    CoreAddons
    DocTools
    Auth
    Wallet
    Service
    KCMUtils
    KDELibs4Support
    I18n
    XmlGui
    Config
    ConfigWidgets
    DBusAddons
)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( src )

if("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

########### install files ###############
install( PROGRAMS org.kde.kwalletmanager5.desktop kwalletmanager5-kwalletd.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
kwalletmanager (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:54:18 +0100

kwalletmanager (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:36:00 +0100

kwalletmanager (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:44:18 +0100

kwalletmanager (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:21:56 +0100

kwalletmanager (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:40:58 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+               extra-cmake-modules (>= 1.7.0),
+               kdoctools-dev,
+               libkf5auth-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5i18n-dev,
+               libkf5kcmutils-dev,
+               libkf5kdelibs4support-dev,
+               libkf5service-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kwalletmanager.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kwalletmanager.git
@@ -37,8 +48,6 @@
 Section: debug
 Priority: extra
 Depends: kwalletmanager (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeutils-dbg (<< 4:4.8)
-Replaces: kdeutils-dbg (<< 4:4.8)
 Description: debugging symbols for kwalletmanager
  This package contains the debugging symbols for kwalletmanager. It is to be
  used in order to be able provide proper back traces for possible crashes or

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kwalletmanager-dbg

## kwalletmanager 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 cmake_minimum_required(VERSION 2.8.12)

=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS 22-actions-folder_closed.png  22-actions-folder_open.png DESTINATION ${DATA_INSTALL_DIR}/kwalletmanager5/icons   )

=== src/manager/CMakeLists.txt ===
########### next target ###############
set(kwalletmanager_SRCS 
    kwalletmanager.cpp
    kwalletmanagerwidget.cpp
    kwalletmanagerwidgetitem.cpp
    walletcontrolwidget.cpp
    main.cpp
    kwalletpopup.cpp
    kwalleteditor.cpp
    kwmapeditor.cpp
    allyourbase.cpp
    kbetterthankdialogbase.cpp
    registercreateactionmethod.cpp
    applicationsmanager.cpp
    connectedapplicationstable.cpp
    connectedappmodel.cpp
    disconnectappbutton.cpp
    authorizedappmodel.cpp
    authorizedapplicationstable.cpp
    revokeauthbutton.cpp
)

qt5_add_dbus_interface(kwalletmanager_SRCS
    ${KWALLET_DBUS_INTERFACES_DIR}/kf5_org.kde.KWallet.xml kwallet_interface
)

ki18n_wrap_ui(kwalletmanager_SRCS
    walletwidget.ui
    kbetterthankdialogbase.ui
    walletcontrolwidget.ui
    applicationsmanager.ui
)


# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kwalletmanager.png")
ecm_add_app_icon(kwalletmanager_SRCS ICONS ${ICONS_SRCS})

add_executable(kwalletmanager5 ${kwalletmanager_SRCS})

target_link_libraries(kwalletmanager5
    Qt5::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::XmlGui #KActionCollection
    KF5::ConfigWidgets
    KF5::ItemViews
    KF5::Wallet
    KF5::DBusAddons
    KF5::ConfigCore
    KF5::Service
    KF5::KDELibs4Support
    KF5::Archive
)

install(TARGETS kwalletmanager5  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kwalletmanager.rc
        DESTINATION ${KXMLGUI_INSTALL_DIR}/kwalletmanager5)

ecm_install_icons( ICONS
128-apps-kwalletmanager2.png
128-apps-kwalletmanager.png
16-apps-kwalletmanager2.png
16-apps-kwalletmanager.png
22-apps-kwalletmanager.png
32-apps-kwalletmanager2.png
32-apps-kwalletmanager.png
48-apps-kwalletmanager2.png
48-apps-kwalletmanager.png
64-apps-kwalletmanager2.png
64-apps-kwalletmanager.png
DESTINATION ${ICON_INSTALL_DIR} )

=== debian/changelog ===
kwalletmanager (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:14:43 -0700

kwalletmanager (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:24:30 +0100

kwalletmanager (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:44 +0100

kwalletmanager (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:54 +0100

kwalletmanager (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:31 +0200

kwalletmanager (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:51 +0200

kwalletmanager (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 18:11:18 +0200

kwalletmanager (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:46 +0200

kwalletmanager (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 15:43:34 +0100

=== debian/control ===
Source: kwalletmanager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0),
               kdoctools-dev (>= 5.2.0~),
               libkf5auth-dev (>= 5.2.0~),
               libkf5config-dev (>= 5.2.0~),
               libkf5configwidgets-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.2.0~),
               libkf5dbusaddons-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.2.0~),
               libkf5kcmutils-dev (>= 5.2.0~),
               libkf5kdelibs4support-dev (>= 5.2.0~),
               libkf5service-dev (>= 5.2.0~),
               libkf5wallet-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kwalletmanager.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kwalletmanager.git

Package: kwalletmanager
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kwalletmanager-dbg (<= 4:15.12.1-1~~)'

## kwalletmanager 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(kwalletmanager5)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -16,7 +16,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)

=== debian/changelog ===
kwalletmanager (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:30:15 +0200

=== debian/control ===
Source: kwalletmanager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libkf5auth-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwalletmanager
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwalletmanager

Package: kwalletmanager
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

## kwalletmanager 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== src/manager/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     kwalletmanager.cpp
     kwalletmanagerwidget.cpp
     kwalletmanagerwidgetitem.cpp
+    kwhexview.cpp
     walletcontrolwidget.cpp
     main.cpp
     kwalletpopup.cpp
@@ -49,6 +50,8 @@
     KF5::DBusAddons
     KF5::ConfigCore
     KF5::Service
+    KF5::KIOCore
+    KF5::JobWidgets
     KF5::KDELibs4Support
     KF5::Archive
 )

=== debian/changelog ===
kwalletmanager (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:17:58 +0100

kwalletmanager (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:46:43 +0200

kwalletmanager (4:16.04.2-1) unstable; urgency=medium

  * Recommend kde-runtime, needed to migrate from the old kwallet.
    (Closes: 767905)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 08:50:29 +0200

kwalletmanager (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:16:30 +0200

=== debian/control ===
Source: kwalletmanager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0),
               kdoctools-dev (>= 5.2.0~),
               libkf5auth-dev (>= 5.2.0~),
               libkf5config-dev (>= 5.2.0~),
               libkf5configwidgets-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.2.0~),
               libkf5dbusaddons-dev (>= 5.2.0~),
               libkf5doctools-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.2.0~),
               libkf5kcmutils-dev (>= 5.2.0~),
               libkf5kdelibs4support-dev (>= 5.2.0~),
               libkf5service-dev (>= 5.2.0~),
               libkf5wallet-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0)
Standards-Version: 3.9.8
Homepage: http://www.kde.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kwalletmanager.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kwalletmanager.git

Package: kwalletmanager
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-runtime
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	$(overridden_command) --destdir=debian/tmp
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kwalletmanager-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kwalletmanager-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kwalletmanager-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kwalletmanager-([\d.]+).tar.xz

## kwalletmanager 16.12.3

=== debian/changelog ===
kwalletmanager (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:48 +0000

kwalletmanager (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:44 +0000

=== debian/control ===
Source: kwalletmanager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwalletmanager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwalletmanager

Package: kwalletmanager
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

## kwalletmanager 17.04.3

=== debian/changelog ===
kwalletmanager (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:09 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
 Architecture: any
 Section: utils
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: secure password wallet manager
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet

## kwalletmanager 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(kwalletmanager5 VERSION ${KDE_APPLICATIONS_VERSION})

set(KF5_VERSION "5.24.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.7.0 CONFIG REQUIRED Core Gui Widgets DBus)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)

## Generate header with version number
ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWALLETMANAGER
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kwalletmanager_version.h"
)

find_package(KF5 ${KF5_VERSION} REQUIRED
    Archive
    Auth
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    I18n
    IconThemes
    JobWidgets
    KCMUtils
    KIO
    Notifications
    Service
    TextWidgets
    Wallet
    WindowSystem
    XmlGui
    Crash
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( src )


########### install files ###############
install( PROGRAMS org.kde.kwalletmanager5.desktop kwalletmanager5-kwalletd.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})


feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kwalletmanager (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:06 +0000

kwalletmanager (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Re-order copyright to keep lintian happy

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:53 +0000

kwalletmanager (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Add libkf5crash-dev as b-d 

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:34 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kwalletmanager-dbg (<= 4:15.12.1-1~~)'
